import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaVendorCrawlerSensorItem } from '@overflow/commons-typescript/model/meta';

export const metaVendorCrawlerSensorItemEntityAdapter = createEntityAdapter<MetaVendorCrawlerSensorItem, RPCClientError>();
export interface State extends EntityState<MetaVendorCrawlerSensorItem, RPCClientError> {
}
export const initialState: State = metaVendorCrawlerSensorItemEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaVendorCrawlerSensorItemEntityAdapter.getSelectors(selector),
  };
}
